Subject: [alpine-devel] [PATCH] testing/py-boto: new aport

From: Matt Smith <[email-masked]>
Date: Tue, 14 Dec 2010 23:38:42 -0600

---
 testing/py-boto/APKBUILD |   51 ++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 51 insertions(+), 0 deletions(-)
 create mode 100644 testing/py-boto/APKBUILD

diff --git a/testing/py-boto/APKBUILD b/testing/py-boto/APKBUILD
new file mode 100644
index 0000000..00b3fe9
--- /dev/null
+++ b/testing/py-boto/APKBUILD
@@ -0,0 +1,51 @@
+# Contributor: Matt Smith <[email-masked]>
+# Maintainer:  Matt Smith <[email-masked]>
+pkgname=py-boto
+_pkgname=boto
+pkgver=1.9b
+pkgrel=0
+pkgdesc="An integrated interface to current and future infrastructural services offered by Amazon Web Services."
+url="http://code.google.com/p/boto/"
+arch="x86 x86_64"
+license="MIT"
+depends="python"
+makedepends="python-dev py-setuptools"
+install=
+subpackages="$pkgname-doc"
+source="http://$_pkgname.googlecode.com/files/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+
+prepare() {
+	cd "$_builddir"
+	# apply patches here
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --root "$pkgdir"
+}
+
+doc() {
+	cd "$_builddir"
+
+	mkdir -p "$subpkgdir"/usr/share/doc/$pkgname
+	install -Dm644 README "$subpkgdir"/usr/share/doc/$pkgname/README
+
+	# Note: The documentation in the 'docs' directory can only be generated
+	# (via sphinx-build from the py-sphinx package) once this package has
+	# been installed.  Copying it off for the user.
+	mkdir -p "$subpkgdir"/usr/share/doc/$pkgname/docs
+	cp -R ./docs/* "$subpkgdir"/usr/share/doc/$pkgname/docs/
+	chmod -R 644 "$subpkgdir"/usr/share/doc/$pkgname/docs/
+
+	# Fix subdir perms
+	find "$subpkgdir"/usr/share/doc/$pkgname/ -type d -exec chmod 755 '{}' \;
+}
+
+md5sums="4fc2fd7b70a971b1363f8465aafe7091  boto-1.9b.tar.gz"
-- 
1.7.3.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---